TaskState (Apache Hadoop MapReduce Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.v2.api.records, enum: TaskState

Package org.apache.hadoop.mapreduce.v2.api.records

# Enum Class TaskState

java.lang.Object
java.lang.Enum<TaskState>
org.apache.hadoop.mapreduce.v2.api.records.TaskState

All Implemented Interfaces:
  `Serializable`, `Comparable<TaskState>`, `Constable`

public enum TaskState extends Enum<TaskState>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FAILED`
  `KILLED`
  `NEW`
  `RUNNING`
  `SCHEDULED`
  `SUCCEEDED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TaskState`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TaskState[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NEW

    public static final TaskState NEW

  - ### SCHEDULED

    public static final TaskState SCHEDULED

  - ### RUNNING

    public static final TaskState RUNNING

  - ### SUCCEEDED

    public static final TaskState SUCCEEDED

  - ### FAILED

    public static final TaskState FAILED

  - ### KILLED

    public static final TaskState KILLED

- ## Method Details

  - ### values

    public static TaskState[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TaskState valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null